#!/usr/bin/perl -wT
use GD::Graph::pie;

print STDERR "Processing proto1\n";

@data = ( 
    ["node1","node2","node3"],
    [    100,    130,    90]
);

$pie_chart = new GD::Graph::pie( 250, 200 );

$pie_chart->set( 
	title => 'Data usage',
	label => 'DIASER',
	axislabelclr => 'black',
	pie_height => 50,

	l_margin => 15,
	r_margin => 15,

	start_angle => 235,

	transparent => 3,
);

`touch proto1.png`;
$pie_chart->plot(\@data);
`chmod 777 proto1.png`;

open(IMG, '>proto1.png') or die $!;
binmode IMG;
print IMG $pie_chart->gd->png;

`cp *.png ../html/`;

print "Content-type: text/html\n\n";

print <<ENDHTML;
<html>
<head>
<title>analytics prototype</title>
</head>
<bod>
<img src="http://localhost/proto1.png">
</body>
</html>

ENDHTML

