Name:           diaser-webgui
Version:        0.0.3
Release:        1
Summary:        Front-end web-gui to DIASER

Group:          Archiving 
License:        GPLv3
Packager:       Interlinux Ltd - Damian L Brasher<dlb@interlinux.co.uk>
URL:            http://www.diaser.org.uk
Source:         diaser-webgui-0.0.3.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
Requires:       diaser, perl, httpd 

%description
Webgui front-end to DIASER. DIASER is an advanced disk based backup volume accumulator, replication and management system for HE and SME. A quick and low-cost way to make an environment more robust and data more accessible by archiving in multiple places. This replication also provides fast retrieval of archived data from all node hosting locations. A Perl installer creates the system. Nodes can be dedicated to storage or used for existing services over unused bandwidth. DIASER works in user space over SSH. The software is based on DIAP/LTASP which is a storage architecture designed to structure months to years of long term sustainable archiving space including retrospective archiving.

%prep
%setup

%install
install -p 0755 -d %{buildroot}/usr/local/diaser
install -m 0755 -d %{buildroot}/usr/local/diaser/www
install -m 0755 -d %{buildroot}/usr/local/diaser/www/images
install -m 0755 -d %{buildroot}/usr/local/diaser/cgi-bin
install -m 0777 -d %{buildroot}/usr/local/diaser/config
install -m 0755 -d %{buildroot}/usr/local/diaser/docs/gui
mkdir -p 0755 %{buildroot}/etc/httpd/conf.d

install -m 0644 admin.shtml %{buildroot}/usr/local/diaser/www/admin.shtml
install -m 0644 configure.shtml %{buildroot}/usr/local/diaser/www/configure.shtml
install -m 0644 index.html %{buildroot}/usr/local/diaser/www/index.html
install -m 0644 install.shtml %{buildroot}/usr/local/diaser/www/install.shtml
install -m 0644 logs.shtml %{buildroot}/usr/local/diaser/www/logs.shtml
install -m 0644 retrieve.shtml %{buildroot}/usr/local/diaser/www/retrieve.shtml
install -m 0644 stats.shtml %{buildroot}/usr/local/diaser/www/stats.shtml
install -m 0644 style.css %{buildroot}/usr/local/diaser/www/style.css
install -m 0644 tooltips.js %{buildroot}/usr/local/diaser/www/tooltips.js
install -m 0644 favicon.ico %{buildroot}/usr/local/diaser/www/favicon.ico

install -m 0644 info.jpg %{buildroot}/usr/local/diaser/www/images/info.jpg
install -m 0644 left.jpg %{buildroot}/usr/local/diaser/www/images/left.jpg

install -m 0655 configlist.cgi %{buildroot}/usr/local/diaser/cgi-bin/configlist.cgi
install -m 0655 install.cgi %{buildroot}/usr/local/diaser/cgi-bin/install.cgi
install -m 0655 modify.cgi %{buildroot}/usr/local/diaser/cgi-bin/modify.cgi
install -m 0655 upload.cgi %{buildroot}/usr/local/diaser/cgi-bin/upload.cgi
install -m 0655 save_conf.cgi %{buildroot}/usr/local/diaser/cgi-bin/save_conf.cgi

install -m 0644 ABOUT %{buildroot}/usr/local/diaser/docs/gui/ABOUT
install -m 0644 COPYING %{buildroot}/usr/local/diaser/docs/gui/COPYING
install -m 0644 README %{buildroot}/usr/local/diaser/docs/gui/README

install -m 0644 diaser-webgui.conf %{buildroot}/etc/httpd/conf.d/diaser-webgui.conf

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root, 0755)
%dir /usr/local/diaser/www
%dir /usr/local/diaser/www/images
%dir /usr/local/diaser/cgi-bin
%dir /usr/local/diaser/config
%dir /usr/local/diaser/docs/gui

/usr/local/diaser/www/admin.shtml
/usr/local/diaser/www/configure.shtml
/usr/local/diaser/www/index.html
/usr/local/diaser/www/install.shtml
/usr/local/diaser/www/logs.shtml
/usr/local/diaser/www/retrieve.shtml
/usr/local/diaser/www/stats.shtml
/usr/local/diaser/www/style.css
/usr/local/diaser/www/tooltips.js
/usr/local/diaser/www/favicon.ico

/usr/local/diaser/www/images/info.jpg
/usr/local/diaser/www/images/left.jpg

/usr/local/diaser/cgi-bin/configlist.cgi
/usr/local/diaser/cgi-bin/install.cgi
/usr/local/diaser/cgi-bin/modify.cgi
/usr/local/diaser/cgi-bin/upload.cgi
/usr/local/diaser/cgi-bin/save_conf.cgi

/usr/local/diaser/docs/gui/ABOUT
/usr/local/diaser/docs/gui/COPYING
/usr/local/diaser/docs/gui/README

/etc/httpd/conf.d/diaser-webgui.conf

%changelog
* Wed May 25 2010 wings dbrasher@interlinux.co.uk 0.1
- Initial implementation 
