#!/usr/bin/perl -wT  
=pod
//////////////////////////////////////////////////////////////////////////////
//
// Name: upload.cgi
// Date: 17/10/2010
//
// Author: Damian Lajos Brasher
// WWW: www.diaser.org.uk http://sourceforge.net/projects/diaser
// Email: dbrasher@interlinux.co.uk
// License GPL Version 3, 29 June 2007 gpl.txt
// First created 13th-15th October 2008 - Nick: 'Moonlight Sonata'.
//
//////////////////////////////////////////////////////////////////////////////
=cut
 
use strict;  
use CGI;  
use CGI::Carp qw ( fatalsToBrowser );  
use File::Basename;  
 
$CGI::POST_MAX = 1024 * 5000;  
my $safe_filename_characters = "a-zA-Z0-9_.-";  
my $upload_dir = "/usr/local/diaser/config/";  
 
my $query = new CGI;  
my $filename = $query->param("file");  
my $named = $query->param("filename");  
 
if ( !$filename )  
{  
 print $query->header ( );  

print <<END_HTML;  

<script type="text/javascript">

result = window.open ("", "result", "width=320, height=210, scrollbars=0, screenX=400, screenY=400, top=400, left=400, status=0, location=0");

result.document.writeln(' There was a problem uploading your file (try selecting a file or smaller file) ');

// Close button
result.document.writeln(' <form method="post"> ');
result.document.writeln(' <input type="button" value="Close" onclick="window.close()"> ');
result.document.writeln(' </form> ');

window.back();
</script>

END_HTML
 exit;  
}  

if ( !$named )  
{  
 print $query->header ( );  

print <<END_HTML;  

<script type="text/javascript">

result = window.open ("", "result", "width=320, height=210, scrollbars=0, screenX=400, screenY=400, top=400, left=400, status=0, location=0");

result.document.writeln(' Please name your file ');

// Close button
result.document.writeln(' <form method="post"> ');
result.document.writeln(' <input type="button" value="Close" onclick="window.close()"> ');
result.document.writeln(' </form> ');

window.back();
</script>

END_HTML
 exit;  
}  
 
my ( $name, $path, $extension ) = fileparse ( $filename, '\..*' );  
$filename = $name . $extension;  
$filename =~ tr/ /_/;  
$filename =~ s/[^$safe_filename_characters]//g;  
 
if ( $filename =~ /^([$safe_filename_characters]+)$/ )  
{  
 $filename = $1;  
}  
else  
{  
 die "Filename contains invalid characters";  
}  

# check this dlb 10/10/10 
my $upload_filehandle = $query->upload("photo");  
 
open ( UPLOADFILE, ">$upload_dir/$filename" ) or die "$!";  
binmode UPLOADFILE;  
 
while ( <$upload_filehandle> )  
{  
 print UPLOADFILE;  
}  
 
close UPLOADFILE;  
 
print $query->header ( );  

print <<END_HTML;  

<script type="text/javascript">

result = window.open ("", "result", "width=320, height=210, scrollbars=0, screenX=400, screenY=400, top=400, left=400, status=0, location=0");

result.document.writeln(' Your configuration file named $named has been uploaded to $upload_dir ');

// Close button
result.document.writeln(' <form method="post"> ');
result.document.writeln(' <input type="button" value="Close" onclick="window.close()"> ');
result.document.writeln(' </form> ');

result.document.writeln(' </body> ');
result.document.writeln(' </html> ');

window.back();
</script>

END_HTML
